import { InjectionToken, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Injection token that can be used to reference instances of `KtdGridItemPlaceholder`. It serves as
 * alternative token to the actual `KtdGridItemPlaceholder` class which could cause unnecessary
 * retention of the class and its directive metadata.
 */
export declare const KTD_GRID_ITEM_PLACEHOLDER: InjectionToken<KtdGridItemPlaceholder<any>>;
/** Directive that can be used to create a custom placeholder for a KtdGridItem instance. */
export declare class KtdGridItemPlaceholder<T = any> {
    templateRef: TemplateRef<T>;
    /** Context data to be added to the placeholder template instance. */
    data: T;
    constructor(templateRef: TemplateRef<T>);
    static ɵfac: i0.ɵɵFactoryDeclaration<KtdGridItemPlaceholder<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<KtdGridItemPlaceholder<any>, "ng-template[ktdGridItemPlaceholder]", never, { "data": { "alias": "data"; "required": false; }; }, {}, never, never, true, never>;
}
